<?php
	include $_SERVER['DOCUMENT_ROOT'].'/common/lib/comm.php';
	include $_SERVER['DOCUMENT_ROOT'].'/common/login_sa_chk.php';
	include $_SERVER['DOCUMENT_ROOT'].'/common/auto_login_sa_chk.php';

	$url = $_REQUEST["url"];
	if($url == "") $url = "/sa/main.php";
?>

<?php include_once($_SERVER['DOCUMENT_ROOT']."/sa/include/top.php"); ?>

<main class="normal--wrap full--size">
	<section class="login--form--wrap">
		<div class="login--form--contents">

			<div class="login--box--title">
				<a href="/sa" class="logo">이차조아</a>
				<h2>신차 직원 로그인</h2>
			</div>
			<div class="input--box">
				<div class="input--form--box mb-3"><input style="height:60px" placeholder="아이디" type="text" name="cd_userid" id="cd_userid" class="form-control"></div>
				<div class="input--form--box mb-4"><input style="height:60px" placeholder="비밀번호" type="password" name="nm_pass" id="nm_pass" class="form-control pasword--in"></div>

				<div class="button-login-box">
					<button type="button" style="height:60px" class="btn btn-primary btn-xs" id="btn_login">로그인</button>
				</div>
				<div class="loc--box">
					<div class="front--section">
						<a href="find_id.php">아이디 찾기</a>
						<a href="find_pwd.php">비밀번호 찾기</a>
					</div>
					<div class="back--section">
						<a href="join.php">회원가입</a>
					</div>
				</div>
			</div>
		</div>
	</section>
</main>

<script type="text/javascript">
	$(document).ready(function() {
		$(".login--form--contents input").keypress(function(e) {
	    	if (e.keyCode == 13){
	        	$("#btn_login").click();
		    }
		});

		$("#btn_login").on("click", function(){

			var custom_opts = {
				title : '',
				btn_close_show : false,
			}

			var fieldlist = [["cd_userid","아이디"],["nm_pass","비밀번호"]];

			if (!fnCheckForm(fieldlist)){
				return false;
			}

			$.post("login_proc.php", { mode:"login", cd_userid: $("#cd_userid").val(), nm_pass: $("#nm_pass").val(), auto_login: $("#auto_login").val()},function(res) {

				if(res.CODE != "0000") {
					var error_msg = "";
					switch(res.CODE) {
						case 9890:
							error_msg = "로그인 정보가 정확하지 않습니다.";
							break;

						case 4444:
							error_msg = "탈퇴한 SA 직원입니다.";
							break;
						case 4445:
							error_msg = "휴면계정 SA 직원입니다.";
							break;
						case 4446:
							error_msg = "승인되지 않은 회원입니다.";
							break;
					}

					custom_opts.title = error_msg;
					custom_modal_alert(custom_opts);
					return false;
				}

				// alert("<?=$url?>");
				// return false;
				// var auto_login = $("#auto_login").prop("checked");
				// if(auto_login == true) {
				// 	setLogin(res.DATAS.enc_str);
				// }
				// alert(res.DATAS.enc_str);
				// return false;
				link("<?=$url?>");


				// if(data=="Y"){
				// 	setLogin(res.DATAS.enc_str);
				//
				//     location.href = "<?=$url?>";
				// }else if(data=="S"){
				// 	custom_opts.title = "관리자에게 문의하세요.";
				// 	custom_modal_alert(custom_opts);
				//     return false;
				// }else if(data=="F"){
				// 	custom_opts.title = "승인되지 않은 SA 직원입니다.";
				// 	custom_modal_alert(custom_opts);
				//     return false;
				// }else{
				// 	//9890
				// 	custom_opts.title = "로그인 정보가 정확하지 않습니다.";
				// 	custom_modal_alert(custom_opts);
				//     return false;
				// }
			}, "json");

			// var custom_opts = {
			// 	title : '',
			// 	btn_close_show : false,
			// }
			//
			// var fieldlist = [["cd_userid","아이디"],["nm_pass","비밀번호"]];
			//
			// if (!fnCheckForm(fieldlist)){
			// 	return false;
			// }
			//
            // $.post("login_proc.php", { mode:"login", cd_userid: $("#cd_userid").val(), nm_pass: $("#nm_pass").val(), auto_login: $("#auto_login").val()},function(data) {
			//
			// 	// custom_opts.title = res.MSG;
			//
            //     if(data=="Y"){
            //         location.href = "<?=$url?>";
            //     }else if(data=="S"){
			// 		custom_opts.title = "관리자에게 문의하세요.";
			// 		custom_modal_alert(custom_opts);
            //         return false;
            //     }else if(data=="F"){
			// 		custom_opts.title = "승인되지 않은 SA 직원입니다.";
			// 		custom_modal_alert(custom_opts);
            //         return false;
            //     }else{
			// 		custom_opts.title = "로그인 정보가 정확하지 않습니다.";
			// 		custom_modal_alert(custom_opts);
            //         return false;
            //     }
            // });
		});

		$("#btn_search_cancel").on("click",function(){
			$(".button_close").click();
		});


		$("#btn_search_pw").on("click",function(){
			if($("#cd_lost_userid").val() == ""){
				fnCheckForm("아이디를 입력하세요.");
                $("#cd_lost_userid").focus();
                return false;
            }

			if($("#nm_lost_email").val() == ""){
				fnCheckForm("이메일을 입력하세요.");
				$("#nm_lost_email").focus();
				return false;
			}

			// $("#nm_email").val($("#nm_email1").val()+"@"+$("#nm_email2").val());

			if(confirm("정보 조회시 패스워드가 초기화 됩니다.\n 조회하시겠습니까?")){
				$.post("join_proc.php", { mode: "PwSearch", cd_userid: $("#cd_lost_userid").val(), nm_email: $("#nm_lost_email").val()},function(data) {
					if(data!=""){
						$(".search_result").find("p").html("<span style='padding: 12px 0 6px 0;display: inline-block;'>임시 비밀번호는 <em color:#ff0000>"+data +"</em> 입니다.</span>");

						// openLayer('pw');

					 }else{
						fnCheckForm("검색된 아이디가 없습니다.");
						return;
					 }
				});
			}
		});

	});
</script>

<?php include_once($_SERVER['DOCUMENT_ROOT']."/sa/include/bottom.php"); ?>
